Retrieve Balance
Base URL not set in the spec · operationId RetrieveBalance
Endpoint to retrieve a Balance in Monato Billpay.
Authorization
BearerAuth Bearer token
Path parameters
id string requiredBalance transaction id already created.
Responses
200 Successfully return the Balance found. application/json
balance_id string payee_name string payee_id string amount string payer_account string currency string invoice_date string (date-time) due_date string (date-time) status string metadata object created_at string (date-time) 404 Balance not found application/json
error_type string error_message string This request is in the Monato · Billpay Postman collection.Download collection
Request
curl -X GET "$BASE_URL/v1/balances/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
-H "Authorization: Bearer $TOKEN"const res = await fetch(`${BASE_URL}/v1/balances/497f6eca-6276-4993-bfeb-53cbbbba6f08`, {
method: "GET",
headers: {
"Authorization": `Bearer ${TOKEN}`,
},
});
const data = await res.json();import requests
res = requests.get(
f"{BASE_URL}/v1/balances/497f6eca-6276-4993-bfeb-53cbbbba6f08",
headers={
"Authorization": f"Bearer {TOKEN}",
},
)
data = res.json()Response
{
"balance_id": "0214aa11-be93-4fc8-954b-d45b6fc60882",
"payee_name": "CFE",
"payee_id": "792fe14f-4592-4974-90b9-573bbc29c5df",
"amount": "9148.62",
"payer_account": "821970704543",
"currency": "MXN",
"invoice_date": "2025-05-21T13:52:19.000Z",
"due_date": "2025-05-21T13:52:19.000Z",
"status": "completed",
"metadata": {},
"created_at": "2025-05-21T19:52:19.231Z"
}{
"error_type": "INTERNAL_ERROR",
"error_message": "There was an error while processing your request"
}